    Set an option for the iterative-fitting scheme.

set_iter_method_opt(optname, val)
optname - str

Reject any points that are more than 5 sigma away from the best fit model and re-fit.

>>> set_iter_method('sigmarej') >>> set_iter_method_opt('lrej', 5) >>> set_iter_method_opt('hrej', 5) >>> fit()

PARAMETERS

The parameters for this function are:

Parameter
Definition
optname
The name of the option to set. The

`get_iter_method_opt` routine can be used to find out valid values for this argument.
val
The new value for the option.

Notes

The supported fields for the sigmarej scheme are:

Item
Definition
grow
The number of points adjacent to a rejected point that should also be removed. A value of 0 means that only the discrepant point is removed whereas a value of 1 means that the two adjacent points (one lower and one higher) will also be removed.
hrej
The rejection criterion in units of sigma, for data points above the model (it must be >= 0).
lrej
The rejection criterion in units of sigma, for data points below the model (it must be >= 0).
maxiters
The maximum number of iterations to perform. If this value is 0 then the fit will run until it has converged.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023